CRMchat APIBeta
Telegram APIStats

stats.getMessagePublicForwards

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/stats.getMessagePublicForwards

Obtains a list of messages, indicating to which other public channels was a channel message forwarded. Will return a list of RawMessage with peer_id equal to the public channel to which this message was forwarded.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Obtains a list of messages, indicating to which other public channels was a channel message forwarded. Will return a list of RawMessage with peer_id equal to the public channel to which this message was forwarded.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/stats.getMessagePublicForwards" \  -H "Content-Type: application/json" \  -d '{    "params": {      "channel": {        "_": "inputChannelEmpty"      },      "msgId": 0,      "offset": "string",      "limit": 0    }  }'
{  "result": {    "_": "stats.publicForwards",    "count": 0,    "forwards": [      {        "_": "publicForwardMessage",        "message": {          "_": "messageEmpty",          "id": 0,          "peerId": {            "_": "peerUser",            "userId": 0          }        }      }    ],    "nextOffset": "string",    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}